Skip to main content
POST
Upload a document

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Body

multipart/form-data
did_ids
string
required

Comma-separated record IDs of the phone numbers the document applies to.

Example:

"2321"

doc_attachment
file
required

Document file to upload. Allowed formats are PNG, JPG, JPEG, TIFF, BMP, and PDF. Maximum size is 10 MB.

doc_id
enum<integer>
required

Specifies the type of document required to activate the phone number. Possible values are: 1 - Proof of identity, 2 - Proof of address, 3 - Proof of business registration.

Available options:
1,
2,
3

Response

Returns the uploaded documents and their review status.

id
integer<int32>
required

Unique identifier of the uploaded document

Example:

1

allow_replace
boolean
required

Indicates whether the document can be replaced. Only documents with rejected status can be replaced.

Example:

false

did_number
string
required

The phone number the document was uploaded for

Example:

"12565378257"

doc_content_type
string
required

The uploaded content type identified by the platform

Example:

"image/png"

doc_file_name
string
required

The uploaded document name

Example:

"Copy of ID.png"

doc_type_id
enum<integer>
required

Specifies the type of document required to activate the phone number. Possible values are: 1 - Proof of identity, 2 - Proof of address, 3 - Proof of business registration.

Available options:
1,
2,
3
status
string
required

Status of the uploaded document. Can be either approved, pending, or rejected

url
string
required

A link to the uploaded document

Example:

"https://api.wavix.com/v1/numbers/24882/papers/1\""